/*
	File:		BareBones.h

	Contains:	Common header file included by all source files

	Written by:	Chris White, Developer Technical Support
	
	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
	
	Change History (most recent first):
	
			12/18/95			CW		First release

*/



#ifndef __BAREBONES__
#define __BAREBONES__



#ifndef __LISTS__
	#include <Lists.h>
#endif



#define DEBUGGING	1		// Anything that shouldn't normally occur
#define WARNINGS	0		// Something that can occur, but you might like to know about


#define USE_LDEF			// Using the LDEF or including the source code


enum
{
	// Generall application stuff
	
	kCreatorCode = 'tdem',					// Tabs Demo
	kSleepTime = 60L

};



enum
{
	// Menu ID numbers
	
	kMenuBarID = 1000,
	kAppleMenu = 1000,
	kFileMenu = 1001
};



enum
{
	// Apple menu commands
	
	cAbout = 1
};



enum
{
	// File menu commands
	
	cQuit = 1
};






enum
{
	// Error strings
	
	kNeedSystem7 = 1,
	kGenericErrorStr
};



enum
{
	// Windows

	kDisplayWindow = 1000,
	kAboutDialog,
 	kErrorDialog
};



enum
{
	// Strings

	kErrorStrings = 1000
};




#define kTabsLDEF		1000

typedef OSErr (*tContentsProcPtr) ( ListRef theList, void* refCon );




// Global Variable Definitions. This allows me to include this file
// in all sources with the extern keyword used in all instances except
// the main source file.

#ifdef __MAIN__
	#define	global
#else
	#define	global	extern
#endif


global	Boolean					gQuit;      			/* quit program flag */
global	SInt32					gSleepTime;



#ifndef USE_LDEF
	#define kLDEFID 0
#else
	#define kLDEFID	kTabsLDEF
#endif






#endif	// __BAREBONES__
