// FBALists.h
//
// Folder Watcher FBA by Greg Sutton
// Apple Computer Inc 1996, all rights reserved.


#pragma once

#include <Files.h>

typedef struct ItemRec							// All linked lists have a pointer
{												// to the next item first.
	struct ItemRec*			next;				// This allows for general routines
} ItemRec, *ItemPtr;							// on linked lists.

typedef struct WatchFolderRec
{
	ItemPtr					next;				// Keep a linked list

	FSSpec					theSpec;			// FSSpec of folder
	long					theDirID;			// Actual directory ID of the folder
	short					theFileCount;		// The previous number of files

} WatchFolderRec, *WatchFolderPtr;

typedef struct WatchVolumeRec
{
	ItemPtr					next;				// Keep a linked list

	short					theVolRef;			// Volume with watch folders
	unsigned long			theLastModCheck;	// Last time PBCatSearch() performed on volume

} WatchVolumeRec, *WatchVolumePtr;


Boolean			InitWatchFolders( void );
Boolean			AddFolder( FSSpec* theSpec );
Boolean			AddVolume( short theVolRef );
WatchFolderPtr	GetHeadFolderPtr( void );
WatchVolumePtr	GetHeadVolumePtr( void );
long			GetNumberOfFolders( void );
long			GetNumberOfVolumes( void );
WatchFolderPtr	FolderInList( FSSpec* theSpec );
Boolean			VolumeAndDirIDInList( short theVolRef, long theDirID );
void			FirstVolumeToLast( void );
void			AddFolderPathResource( FSSpec* theSpec );
OSErr			GetDirInfo( FSSpec* theSpec, CInfoPBRec* thePB);
