/*
**	Apple Macintosh Developer Technical Support
**
**	StandardFileIcons: A sample control panel changing behavior of StandardFile.
**
**	by Brian Bechtel, Apple Developer Technical Support
**
**	File:		SFIcons.r
**
**	Copyright  1994 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "DTS Sample Code"
**	after having made changes. If you're going to re-distribute the source,
**	we require that you make it clear in the source that the code was
**	descended from Apple Sample Code, but that you've made changes.
**
** Change history (most recent first)
**
**	<1>	940811	BLB	Changed icons, added failure icon for INIT 
**	<0>	940802	BLB	First implementation
*/

#include "Types.r"
#include "SysTypes.r"

type 'SFI#' as 'STR ';

resource 'SFI#' (0) {
	"Tells Open & Save Dialogs to use color icons\n1.1  1994, Apple Computer, Inc."
};


resource 'vers' (2) {
	0x1,
	0x1,
	release,
	0x0,
	verUS,
	"1.1",
	"Version 1.1"
};

resource 'vers' (1) {
	0x1,
	0x1,
	release,
	0x0,
	verUS,
	"1.1",
	"Custom or generic icons in StandardFile"
};

resource 'BNDL' (-4064, purgeable) {
	'SFI#',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, -4064
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, -4064
		}
	}
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 01FF FFFC 0111 1004 013F 7DE4 0102 0084 01FF FFFC 0000 0000"
		$"0000 0000 7FFF FFFE 4000 000E 4000 000A 5F00 000A 5523 C40A 5B3E 7F8E 5518 010E"
		$"5F00 000E 4000 000A 5F00 090A 5503 930A 5B26 A40A 551C 600A 5F00 000A 4000 000A"
		$"5F00 000A 551D EE0A 5B03 3A0A 5500 000A 5F00 000A 4000 000E 7FFF FFFE",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 01FF FFFC 0111 1004 013F 7DE4 0102 0084 01FF FFFC 0000 0000"
		$"0000 0000 7FFF FFFE 4000 000E 4000 000A 5F00 000A 5123 C40A 513E 7F8E 5118 010E"
		$"5F00 000E 4000 000A 5F00 090A 5103 930A 5126 A40A 511C 600A 5F00 000A 4000 000A"
		$"5F00 000A 511D EE0A 5103 3A0A 5100 000A 5F00 000A 4000 000E 7FFF FFFE",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (-4064) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 01FF FFFC 0111 1004 013F 7DE4 0102 0084 01FF FFFC 0000 0000"
		$"0000 0000 7FFF FFFE 4000 000E 4000 000A 5F00 000A 5523 C40A 5B3E 7F8E 5518 010E"
		$"5F00 000E 4000 000A 5F00 090A 5503 930A 5B26 A40A 551C 600A 5F00 000A 4000 000A"
		$"5F00 000A 551D EE0A 5B03 3A0A 5500 000A 5F00 000A 4000 000E 7FFF FFFE",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (130) {
	{	/* array: 2 elements */
		/* [1] */
		$"000F F000 0070 0E00 01FF FFFC 0311 10C4 053F 7DE4 0B02 0094 11FF FFFC 3080 000C"
		$"2040 0004 7FFF FFFE 4010 000E 4008 000A DF04 000B D523 C40B DB3F 7F8F D519 010F"
		$"DF00 800F C000 400B DF00 290B D503 930B 5B26 AC0A 551C 640A 5F00 020A 6000 010E"
		$"7F00 008E 551D EE4A 5B03 3A3A 5500 002A 5F00 00CA 4180 018E 7FFF FFFE 000F F0",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'FREF' (-4064, purgeable) {
	'cdev',
	0,
	""
};

resource 'mach' (-4064, purgeable) {
	0xFFFF,
	0x0
};

data 'cicn' (-4064, "SFI#") {
	$"0000 0000 8008 0000 0000 0020 0020 0000 0000 0000 0000 0048 0000 0048 0000 0000"                    /* .......... . .........H...H.... */
	$"0002 0001 0002 0000 0000 0000 0000 0000 0000 0000 0000 0004 0000 0000 0020 0020"                    /* ............................. .  */
	$"0000 0000 0004 0000 0000 0020 0020 0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"                    /* ........... . .... */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"                    /*  */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"                    /*  */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"                    /*  */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FE00 03F8 8300 020C 8380 020E 8080"                    /* ....... */
	$"0202 BC80 0202 8080 0202 8080 0202 9E80 0202 8080 0202 FF80 03FE 0003 8000 FE04"                    /* ................. */
	$"43F8 8300 420C 8380 820E 8081 0202 BC81 0202 8080 0202 8081 0202 9E80 0202 8080"                    /* C.B............ */
	$"0202 FF80 03FE 0000 0000 FE00 03F8 8300 020C 8380 020E 8080 0202 BC80 0202 8080"                    /* .................. */
	$"0202 8080 0202 9E80 0202 8080 0202 FF80 03FE 0000 0000 0000 0002 0000 FFFF FFFF"                    /* ................... */
	$"FFFF 0001 FFFF 0000 0000 0003 0000 0000 0000 FFFC 0000 000F FFC0 C00F 0000 000C"                    /* ....................... */
	$"00F0 C00F C000 000C 00FC C000 C000 000C 000C CFF0 C000 000C 000C C000 C000 000C"                    /* ..................... */
	$"000C C000 C000 000C 000C C3FC C000 000C 000C C000 C000 000C 000C FFFF C000 000F"                    /* ...................... */
	$"FFFC 0000 000F C000 0000 5554 0030 300F FFC0 4005 0000 300C 00F0 4005 4000 C00C"                    /* .......UT.00.@...0..@.@.. */
	$"00FC 4000 4003 000C 000C 4550 4003 000C 000C 4000 4000 000C 000C 4000 4003 000C"                    /* .@.@.....EP@.....@.@.....@.@... */
	$"000C 4154 4000 000C 000C 4000 4000 000C 000C 5555 4000 000F FFFC 0000 0000 0000"                    /* ..AT@.....@.@.....UU@......... */
	$"0000 FFFC 0000 000F FFC0 C00F 0000 000C 00F0 C00F C000 000C 00FC C000 C000 000C"                    /* ..................... */
	$"000C CFF0 C000 000C 000C C000 C000 000C 000C C000 C000 000C 000C C3FC C000 000C"                    /* ...................... */
	$"000C C000 C000 000C 000C FFFF C000 000F FFFC"                                                       /* ........... */
};

resource 'STR ' (128) {
	"Standard File Icons Preferences"
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 1FFE 17FE 1FFE FFFF 8003 F5A3 F7FB F003 F1F3 F7E3 F003 F7F3 F173 F003 FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ics#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 1FFE 17FE 1FFE FFFF 8003 F5A3 D7FB F003 F1F3 D7E3 F003 F7F3 D173 F003 FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ics#' (-4064) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 1FFE 17FE 1FFE FFFF 8003 F5A3 F7FB F003 F1F3 F7E3 F003 F7F3 F173 F003 FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ics#' (130) {
	{	/* array: 2 elements */
		/* [1] */
		$"07E0 1818 300C 6806 4402 8201 8101 8081 8041 8021 8011 400A 6006 300C 1818 07E0",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'icl8' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 00FF 0000 00FF 0000 00FF 0000 00FF 0000 0000 0000 0000 00FF 0000"
	$"0000 0000 0000 00FF 0000 FFFF FFFF FFFF 00FF FFFF FFFF 00FF FFFF FF00 00FF 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 FF00 0000 0000 0000 0000 FF00 0000 00FF 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00EC ECEC ECEC 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00EC 00EC 00EC 0000 FF00 0000 FFFF FFFF 0000 00FF 0000 0000 0000 FF00 FF00"
	$"00FF 00EC EC00 ECEC 0000 FFFF FFFF FF00 00FF FFFF FFFF FFFF FF00 0000 FFFF FF00"
	$"00FF 00EC 00EC 00EC 0000 00FF FF00 0000 0000 0000 0000 00FF 0000 0000 FFFF FF00"
	$"00FF 00EC ECEC ECEC 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00E3 E3E3 E3E3 0000 0000 0000 0000 0000 0000 FF00 00FF 0000 0000 FF00 FF00"
	$"00FF 00E3 00E3 00E3 0000 0000 0000 FFFF FF00 00FF 0000 FFFF 0000 0000 FF00 FF00"
	$"00FF 00E3 E300 E3E3 0000 FF00 00FF FF00 FF00 FF00 00FF 0000 0000 0000 FF00 FF00"
	$"00FF 00E3 00E3 00E3 0000 00FF FFFF 0000 00FF FF00 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00E3 E3E3 E3E3 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0016 1616 1616 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0016 0016 0016 0000 00FF FFFF 00FF FFFF FF00 FFFF FF00 0000 0000 FF00 FF00"
	$"00FF 0016 1600 1616 0000 0000 0000 FFFF 0000 FFFF FF00 FF00 0000 0000 FF00 FF00"
	$"00FF 0016 0016 0016 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0016 1616 1616 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl8' (129) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 00FF 0000 00FF 0000 00FF 0000 00FF 0000 0000 0000 0000 00FF 0000"
	$"0000 0000 0000 00FF 0000 FFFF FFFF FFFF 00FF FFFF FFFF 00FF FFFF FF00 00FF 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 FF00 0000 0000 0000 0000 FF00 0000 00FF 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00FF FFFF FFFF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 FF00 0000 FFFF FFFF 0000 00FF 0000 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 FFFF FFFF FF00 00FF FFFF FFFF FFFF FF00 0000 FFFF FF00"
	$"00FF 00FF 0000 00FF 0000 00FF FF00 0000 0000 0000 0000 00FF 0000 0000 FFFF FF00"
	$"00FF 00FF FFFF FFFF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00FF FFFF FFFF 0000 0000 0000 0000 0000 0000 FF00 00FF 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 0000 0000 FFFF FF00 00FF 0000 FFFF 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 FF00 00FF FF00 FF00 FF00 00FF 0000 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 00FF FFFF 0000 00FF FF00 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00FF FFFF FFFF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00FF FFFF FFFF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 00FF FFFF 00FF FFFF FF00 FFFF FF00 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 0000 0000 FFFF 0000 FFFF FF00 FF00 0000 0000 FF00 FF00"
	$"00FF 00FF 0000 00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00FF FFFF FFFF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl8' (-4064) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 00FF 0000 00FF 0000 00FF 0000 00FF 0000 0000 0000 0000 00FF 0000"
	$"0000 0000 0000 00FF 0000 FFFF FFFF FFFF 00FF FFFF FFFF 00FF FFFF FF00 00FF 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 FF00 0000 0000 0000 0000 FF00 0000 00FF 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00EC ECEC ECEC 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00EC 00EC 00EC 0000 FF00 0000 FFFF FFFF 0000 00FF 0000 0000 0000 FF00 FF00"
	$"00FF 00EC EC00 ECEC 0000 FFFF FFFF FF00 00FF FFFF FFFF FFFF FF00 0000 FFFF FF00"
	$"00FF 00EC 00EC 00EC 0000 00FF FF00 0000 0000 0000 0000 00FF 0000 0000 FFFF FF00"
	$"00FF 00EC ECEC ECEC 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00E3 E3E3 E3E3 0000 0000 0000 0000 0000 0000 FF00 00FF 0000 0000 FF00 FF00"
	$"00FF 00E3 00E3 00E3 0000 0000 0000 FFFF FF00 00FF 0000 FFFF 0000 0000 FF00 FF00"
	$"00FF 00E3 E300 E3E3 0000 FF00 00FF FF00 FF00 FF00 00FF 0000 0000 0000 FF00 FF00"
	$"00FF 00E3 00E3 00E3 0000 00FF FFFF 0000 00FF FF00 0000 0000 0000 0000 FF00 FF00"
	$"00FF 00E3 E3E3 E3E3 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0016 1616 1616 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0016 0016 0016 0000 00FF FFFF 00FF FFFF FF00 FFFF FF00 0000 0000 FF00 FF00"
	$"00FF 0016 1600 1616 0000 0000 0000 FFFF 0000 FFFF FF00 FF00 0000 0000 FF00 FF00"
	$"00FF 0016 0016 0016 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0016 1616 1616 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FF00"
	$"00FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl8' (130) {
	$"0000 0000 0000 0000 0000 0000 D8D8 D8D8 D8D8 D8D8 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00D8 D8D8 0000 0000 0000 0000 D8D8 D800 0000 0000 0000 0000"
	$"0000 0000 0000 00D8 D8FF FFFF FFFF FFFF FFFF FFFF FFFF FFD8 D8FF FFFF FFFF 0000"
	$"0000 0000 0000 D8D8 0000 00FF 0000 00FF 0000 00FF 0000 0000 D8D8 0000 00FF 0000"
	$"0000 0000 00D8 00FF 0000 FFFF FFFF FFFF 00FF FFFF FFFF 00FF FFFF D800 00FF 0000"
	$"0000 0000 D800 00FF 0000 0000 0000 FF00 0000 0000 0000 0000 FF00 00D8 00FF 0000"
	$"0000 00D8 00D8 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF D8FF 0000"
	$"0000 D8D8 0000 D800 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 D8D8 0000"
	$"0000 D800 0000 00D8 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 00D8 0000"
	$"00D8 FFFF FFFF FFFF D8FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF D800"
	$"00D8 0000 0000 0000 00D8 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF D800"
	$"00D8 0000 0000 0000 0000 D800 0000 0000 0000 0000 0000 0000 0000 0000 FF00 D800"
	$"D8FF 00EC ECEC ECEC 0000 00D8 0000 0000 0000 0000 0000 0000 0000 0000 FF00 FFD8"
	$"D8FF 00EC 00EC 00EC 0000 FF00 D800 FFFF FFFF 0000 00FF 0000 0000 0000 FF00 FFD8"
	$"D8FF 00EC EC00 ECEC 0000 FFFF FFD8 FF00 00FF FFFF FFFF FFFF FF00 0000 FFFF FFD8"
	$"D8FF 00EC 00EC 00EC 0000 00FF FF00 D800 0000 0000 0000 00FF 0000 0000 FFFF FFD8"
	$"D8FF 00EC ECEC ECEC 0000 0000 0000 00D8 0000 0000 0000 0000 0000 0000 FFFF FFD8"
	$"D8FF 0000 0000 0000 0000 0000 0000 0000 D800 0000 0000 0000 0000 0000 FF00 FFD8"
	$"D8FF 00E3 E3E3 E3E3 0000 0000 0000 0000 00D8 0000 FF00 00FF 0000 0000 FF00 FFD8"
	$"D8FF 00E3 00E3 00E3 0000 0000 0000 FFFF FF00 D8FF 0000 FFFF 0000 0000 FF00 FFD8"
	$"00D8 00E3 E300 E3E3 0000 FF00 00FF FF00 FF00 FFD8 00FF 0000 0000 0000 FF00 D800"
	$"00D8 00E3 00E3 00E3 0000 00FF FFFF 0000 00FF FF00 D800 0000 0000 0000 FF00 D800"
	$"00D8 00E3 E3E3 E3E3 0000 0000 0000 0000 0000 0000 00D8 0000 0000 0000 FF00 D800"
	$"00FF D800 0000 0000 0000 0000 0000 0000 0000 0000 0000 D800 0000 0000 FFD8 FF00"
	$"00FF D8D8 1717 1717 0000 0000 0000 0000 0000 0000 0000 00D8 0000 0000 D8D8 FF00"
	$"00FF 00D8 0017 0017 0000 00FF FFFF 00FF FFFF FF00 FFFF FF00 D800 0000 D800 FF00"
	$"00FF 0017 D800 1717 0000 0000 0000 FFFF 0000 FFFF FF00 FF00 00D8 00D8 FF00 FF00"
	$"00FF 0017 00D8 0017 0000 0000 0000 0000 0000 0000 0000 0000 0000 D800 FF00 FF00"
	$"00FF 0017 1717 D8D8 0000 0000 0000 0000 0000 0000 0000 0000 D8D8 0000 FF00 FF00"
	$"00FF 0000 0000 00D8 D800 0000 0000 0000 0000 0000 0000 00D8 D800 0000 FFFF FF00"
	$"00FF FFFF FFFF FFFF FFD8 D8D8 FFFF FFFF FFFF FFFF D8D8 D8FF FFFF FFFF FFFF FF00"
	$"0000 0000 0000 0000 0000 0000 D8D8 D8D8 D8D8 D8D8"
};

resource 'icl4' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 000F FFFF FFFF FFFF FFFF FFFF FF00 0000 000F 000F 000F 000F 0000 0000 0F00"
	$"0000 000F 00FF FFFF 0FFF FF0F FFF0 0F00 0000 000F 0000 00F0 0000 0000 F000 0F00"
	$"0000 000F FFFF FFFF FFFF FFFF FFFF FF00 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"0F00 0000 0000 0000 0000 0000 0000 FFF0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F06 6666 0000 0000 0000 0000 0000 F0F0 0F06 0606 00F0 00FF FF00 0F00 0000 F0F0"
	$"0F06 6066 00FF FFF0 0FFF FFFF F000 FFF0 0F06 0606 000F F000 0000 000F 0000 FFF0"
	$"0F06 6666 0000 0000 0000 0000 0000 FFF0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F08 8888 0000 0000 0000 F00F 0000 F0F0 0F08 0808 0000 00FF F00F 00FF 0000 F0F0"
	$"0F08 8088 00F0 0FF0 F0F0 0F00 0000 F0F0 0F08 0808 000F FF00 0FF0 0000 0000 F0F0"
	$"0F08 8888 0000 0000 0000 0000 0000 F0F0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F02 2222 0000 0000 0000 0000 0000 F0F0 0F02 0202 000F FF0F FFF0 FFF0 0000 F0F0"
	$"0F02 2022 0000 00FF 00FF F0F0 0000 F0F0 0F02 0202 0000 0000 0000 0000 0000 F0F0"
	$"0F02 2222 0000 0000 0000 0000 0000 F0F0 0F00 0000 0000 0000 0000 0000 0000 FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
};

resource 'icl4' (129) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 000F FFFF FFFF FFFF FFFF FFFF FF00 0000 000F 000F 000F 000F 0000 0000 0F00"
	$"0000 000F 00FF FFFF 0FFF FF0F FFF0 0F00 0000 000F 0000 00F0 0000 0000 F000 0F00"
	$"0000 000F FFFF FFFF FFFF FFFF FFFF FF00 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"0F00 0000 0000 0000 0000 0000 0000 FFF0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F0F FFFF 0000 0000 0000 0000 0000 F0F0 0F0F 000F 00F0 00FF FF00 0F00 0000 F0F0"
	$"0F0F 000F 00FF FFF0 0FFF FFFF F000 FFF0 0F0F 000F 000F F000 0000 000F 0000 FFF0"
	$"0F0F FFFF 0000 0000 0000 0000 0000 FFF0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F0F FFFF 0000 0000 0000 F00F 0000 F0F0 0F0F 000F 0000 00FF F00F 00FF 0000 F0F0"
	$"0F0F 000F 00F0 0FF0 F0F0 0F00 0000 F0F0 0F0F 000F 000F FF00 0FF0 0000 0000 F0F0"
	$"0F0F FFFF 0000 0000 0000 0000 0000 F0F0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F0F FFFF 0000 0000 0000 0000 0000 F0F0 0F0F 000F 000F FF0F FFF0 FFF0 0000 F0F0"
	$"0F0F 000F 0000 00FF 00FF F0F0 0000 F0F0 0F0F 000F 0000 0000 0000 0000 0000 F0F0"
	$"0F0F FFFF 0000 0000 0000 0000 0000 F0F0 0F00 0000 0000 0000 0000 0000 0000 FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
};

resource 'icl4' (-4064) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 000F FFFF FFFF FFFF FFFF FFFF FF00 0000 000F 000F 000F 000F 0000 0000 0F00"
	$"0000 000F 00FF FFFF 0FFF FF0F FFF0 0F00 0000 000F 0000 00F0 0000 0000 F000 0F00"
	$"0000 000F FFFF FFFF FFFF FFFF FFFF FF00 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"0F00 0000 0000 0000 0000 0000 0000 FFF0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F06 6666 0000 0000 0000 0000 0000 F0F0 0F06 0606 00F0 00FF FF00 0F00 0000 F0F0"
	$"0F06 6066 00FF FFF0 0FFF FFFF F000 FFF0 0F06 0606 000F F000 0000 000F 0000 FFF0"
	$"0F06 6666 0000 0000 0000 0000 0000 FFF0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F08 8888 0000 0000 0000 F00F 0000 F0F0 0F08 0808 0000 00FF F00F 00FF 0000 F0F0"
	$"0F08 8088 00F0 0FF0 F0F0 0F00 0000 F0F0 0F08 0808 000F FF00 0FF0 0000 0000 F0F0"
	$"0F08 8888 0000 0000 0000 0000 0000 F0F0 0F00 0000 0000 0000 0000 0000 0000 F0F0"
	$"0F02 2222 0000 0000 0000 0000 0000 F0F0 0F02 0202 000F FF0F FFF0 FFF0 0000 F0F0"
	$"0F02 2022 0000 00FF 00FF F0F0 0000 F0F0 0F02 0202 0000 0000 0000 0000 0000 F0F0"
	$"0F02 2222 0000 0000 0000 0000 0000 F0F0 0F00 0000 0000 0000 0000 0000 0000 FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
};

resource 'icl4' (130) {
	$"0000 0000 0000 3333 3333 0000 0000 0000 0000 0000 0333 0000 0000 3330 0000 0000"
	$"0000 0003 3FFF FFFF FFFF FFF3 3FFF FF00 0000 0033 000F 000F 000F 0000 3300 0F00"
	$"0000 030F 00FF FFFF 0FFF FF0F FF30 0F00 0000 300F 0000 00F0 0000 0000 F003 0F00"
	$"0003 030F FFFF FFFF FFFF FFFF FFFF 3F00 0033 0030 0000 0000 0000 0000 0000 3300"
	$"0030 0003 0000 0000 0000 0000 0000 0300 03FF FFFF 3FFF FFFF FFFF FFFF FFFF FF30"
	$"0300 0000 0300 0000 0000 0000 0000 FF30 0300 0000 0030 0000 0000 0000 0000 F030"
	$"3F06 6666 0003 0000 0000 0000 0000 F0F3 3F06 0606 00F0 30FF FF00 0F00 0000 F0F3"
	$"3F06 6066 00FF F3F0 0FFF FFFF F000 FFF3 3F06 0606 000F F030 0000 000F 0000 FFF3"
	$"3F06 6666 0000 0003 0000 0000 0000 FFF3 3F00 0000 0000 0000 3000 0000 0000 F0F3"
	$"3F08 8888 0000 0000 0300 F00F 0000 F0F3 3F08 0808 0000 00FF F03F 00FF 0000 F0F3"
	$"0308 8088 00F0 0FF0 F0F3 0F00 0000 F030 0308 0808 000F FF00 0FF0 3000 0000 F030"
	$"0308 8888 0000 0000 0000 0300 0000 F030 0F30 0000 0000 0000 0000 0030 0000 F3F0"
	$"0F33 2222 0000 0000 0000 0003 0000 33F0 0F03 0202 000F FF0F FFF0 FFF0 3000 30F0"
	$"0F02 3022 0000 00FF 00FF F0F0 0303 F0F0 0F02 0302 0000 0000 0000 0000 0030 F0F0"
	$"0F02 2233 0000 0000 0000 0000 3300 F0F0 0F00 0003 3000 0000 0000 0003 3000 FFF0"
	$"0FFF FFFF F333 FFFF FFFF 333F FFFF FFF0 0000 0000 0000 3333 3333"
};

resource 'ics4' (128) {
	$"0000 0000 0000 0000 000F FFFF FFFF FFF0 000F 0FFF FFFF FFF0 000F FFFF FFFF FFF0"
	$"FFFF FFFF FFFF FFFF F000 0000 0000 00FF F666 0F0F F0F0 00FF F666 0FFF FFFF F0FF"
	$"F666 0000 0000 00FF F888 000F FFFF 00FF F888 0FFF FFF0 00FF F888 0000 0000 00FF"
	$"F222 0FFF FFFF 00FF F222 000F 0FFF 00FF F222 0000 0000 00FF FFFF FFFF FFFF FFFF"
};

resource 'ics4' (129) {
	$"0000 0000 0000 0000 000F FFFF FFFF FFF0 000F 0FFF FFFF FFF0 000F FFFF FFFF FFF0"
	$"FFFF FFFF FFFF FFFF F000 0000 0000 00FF FFFF 0F0F F0F0 00FF FF0F 0FFF FFFF F0FF"
	$"FFFF 0000 0000 00FF FFFF 000F FFFF 00FF FF0F 0FFF FFF0 00FF FFFF 0000 0000 00FF"
	$"FFFF 0FFF FFFF 00FF FF0F 000F 0FFF 00FF FFFF 0000 0000 00FF FFFF FFFF FFFF FFFF"
};

resource 'ics4' (-4064) {
	$"0000 0000 0000 0000 000F FFFF FFFF FFF0 000F 0FFF FFFF FFF0 000F FFFF FFFF FFF0"
	$"FFFF FFFF FFFF FFFF F000 0000 0000 00FF F666 0F0F F0F0 00FF F666 0FFF FFFF F0FF"
	$"F666 0000 0000 00FF F888 000F FFFF 00FF F888 0FFF FFF0 00FF F888 0000 0000 00FF"
	$"F222 0FFF FFFF 00FF F222 000F 0FFF 00FF F222 0000 0000 00FF FFFF FFFF FFFF FFFF"
};

resource 'ics4' (130) {
	$"0000 3333 3333 0000 0003 FFFF FFFF FFF0 003F 0FFF FFFF F3F0 033F FFFF FFFF FFF0"
	$"3FFF FFFF FFFF FFF3 3000 3300 0000 00F3 F666 0F3F F0F0 00FF F666 0FFF FFFF F0FF"
	$"F666 0003 3000 00FF F888 000F FFFF 00FF 3888 0FFF FFF0 00F3 F888 0000 0033 00FF"
	$"F322 0FFF FFFF 303F F232 000F 0FFF 33FF F223 3000 0003 30FF FFFF F3FF FF3F FFFF"
};

resource 'ics8' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FF00"
	$"0000 00FF 00FF FFFF FFFF FFFF FFFF FF00 0000 00FF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFEC ECEC 00FF 00FF FF00 FF00 0000 FFFF FFEC ECEC 00FF FFFF FFFF FFFF FF00 FFFF"
	$"FFEC ECEC 0000 0000 0000 0000 0000 FFFF FFE3 E3E3 0000 00FF FFFF FFFF 0000 FFFF"
	$"FFE3 E3E3 00FF FFFF FFFF FF00 0000 FFFF FFE3 E3E3 0000 0000 0000 0000 0000 FFFF"
	$"FF16 1616 00FF FFFF FFFF FFFF 0000 FFFF FF16 1616 0000 00FF 00FF FFFF 0000 FFFF"
	$"FF16 1616 0000 0000 0000 0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (129) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FF00"
	$"0000 00FF 00FF FFFF FFFF FFFF FFFF FF00 0000 00FF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF 00FF 00FF FF00 FF00 0000 FFFF FFFF 00FF 00FF FFFF FFFF FFFF FF00 FFFF"
	$"FFFF FFFF 0000 0000 0000 0000 0000 FFFF FFFF FFFF 0000 00FF FFFF FFFF 0000 FFFF"
	$"FFFF 00FF 00FF FFFF FFFF FF00 0000 FFFF FFFF FFFF 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF 00FF FFFF FFFF FFFF 0000 FFFF FFFF 00FF 0000 00FF 00FF FFFF 0000 FFFF"
	$"FFFF FFFF 0000 0000 0000 0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (-4064) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF FFFF FFFF FFFF FFFF FFFF FF00"
	$"0000 00FF 00FF FFFF FFFF FFFF FFFF FF00 0000 00FF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFEC ECEC 00FF 00FF FF00 FF00 0000 FFFF FFEC ECEC 00FF FFFF FFFF FFFF FF00 FFFF"
	$"FFEC ECEC 0000 0000 0000 0000 0000 FFFF FFE3 E3E3 0000 00FF FFFF FFFF 0000 FFFF"
	$"FFE3 E3E3 00FF FFFF FFFF FF00 0000 FFFF FFE3 E3E3 0000 0000 0000 0000 0000 FFFF"
	$"FF16 1616 00FF FFFF FFFF FFFF 0000 FFFF FF16 1616 0000 00FF 00FF FFFF 0000 FFFF"
	$"FF16 1616 0000 0000 0000 0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (130) {
	$"0000 0000 D8D8 D8D8 D8D8 D8D8 0000 0000 0000 00D8 FFFF FFFF FFFF FFFF FFFF FF00"
	$"0000 D8FF 00FF FFFF FFFF FFFF FFD8 FF00 00D8 D8FF FFFF FFFF FFFF FFFF FFFF FF00"
	$"D8FF FFFF FFFF FFFF FFFF FFFF FFFF FFD8 D800 0000 D8D8 0000 0000 0000 0000 FFD8"
	$"FFEC ECEC 00FF D8FF FF00 FF00 0000 FFFF FFEC ECEC 00FF FFFF FFFF FFFF FF00 FFFF"
	$"FFEC ECEC 0000 00D8 D800 0000 0000 FFFF FFE3 E3E3 0000 00FF FFFF FFFF 0000 FFFF"
	$"D8E3 E3E3 00FF FFFF FFFF FF00 0000 FFD8 FFE3 E3E3 0000 0000 0000 D8D8 0000 FFFF"
	$"FFD8 1717 00FF FFFF FFFF FFFF D800 D8FF FF17 D817 0000 00FF 00FF FFFF D8D8 FFFF"
	$"FF17 17D8 D800 0000 0000 00D8 D800 FFFF FFFF FFFF FFD8 FFFF FFFF D8FF FFFF FFFF"
};

resource 'dctb' (-4064) {
	{	/* array ColorSpec: 5 elements */
		/* [1] */
		wContentColor, 65535, 65535, 65535,
		/* [2] */
		wFrameColor, 0, 0, 0,
		/* [3] */
		wTextColor, 0, 0, 0,
		/* [4] */
		wHiliteColor, 0, 0, 0,
		/* [5] */
		wTitleBarColor, 65535, 65535, 65535
	}
};

resource 'DITL' (-4064, purgeable) {
	{	/* array DITLarray: 9 elements */
		/* [1] */
		{160, 176, 176, 192},
		RadioButton {
			enabled,
			""
		},
		/* [2] */
		{160, 192, 176, 208},
		RadioButton {
			enabled,
			""
		},
		/* [3] */
		{161, 113, 177, 174},
		StaticText {
			disabled,
			"custom icons"
		},
		/* [4] */
		{160, 210, 176, 281},
		StaticText {
			disabled,
			"generic icons"
		},
		/* [5] */
		{184, 156, 212, 240},
		StaticText {
			disabled,
			"DTS Sample Code\nby Brian Bechtel"
		},
		/* [6] */
		{120, 96, 144, 304},
		StaticText {
			disabled,
			"Hint: This will only work with System Update 3.0 installed, or with System 7.5 o"
			"r later."
		},
		/* [7] */
		{88, 96, 120, 304},
		StaticText {
			disabled,
			"This can speed up your save file and open file menu commands a little."
		},
		/* [8] */
		{24, 96, 88, 304},
		StaticText {
			disabled,
			"Click on the custom button to make the save file and open file dialogs use d"
			"esktop file custom icons when available.  If you click on generic, the save and "
			"open dialogs won't read the desktop file for icons."
		},
		/* [9] */
		{8, 152, 24, 248},
		StaticText {
			disabled,
			"StandardFileIcons"
		}
	}
};

data 'ictb' (-4064) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"                    /* ................................ */
	$"0000 0000"                                                                                          /* .... */
};

resource 'nrct' (-4064, purgeable) {
	{	/* array RectArray: 1 elements */
		/* [1] */
		{-1, 87, 255, 322}
	}
};

